#include "launcher.h"
#include <QApplication>
#include <QLockFile>
#include <QMessageBox>

int main( int argc, char* argv[] ) {
    QApplication a( argc, argv );
    GIFAnimationDemoWidget w;

    QLockFile lockFile(QDir::temp().absoluteFilePath("rulotro_launcher.lock"));
    if(!lockFile.tryLock(100)){
        QMessageBox msgBox;
        msgBox.setIcon(QMessageBox::Warning);
        msgBox.setText("Приложение уже запущено.\nРазрешено запускать только один экземпляр приложения.");
        msgBox.exec();
        return 1;
    }

    w.show();

    return a.exec();
}
